<!DOCTYPE html>
<html dir="ltr" lang="sv">
	<head>
		<meta charset="utf-8" />
		<meta
			name="viewport"
			content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0"
		/>
		<title>Stencil Component Starter</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap" rel="stylesheet">
		<script type="module" src="/build/digi-skolverket.esm.js"></script>
		<link rel="stylesheet" href="/build/digi-skolverket.css" />
		<style>
			body {
				margin: 0;
				min-height: 120vh;
			}
		</style>
	</head>
	<body>
		<digi-page>
			<header slot="header">
				<digi-page-header>
					<span slot="top">
						Till <a href="https://www.ffddfdfdfdf.se/">skolverket.se</a>
					</span>
					<a href="#" slot="logo"><digi-logo></digi-logo></a>
					<ul slot="eyebrow">
						<li>
							<digi-link-icon
								><a href="#"
									><digi-icon af-name="search" aria-hidden="true"></digi-icon>Sök</a
								></digi-link-icon
							>
						</li>
						<li>
							<digi-link-icon
								><a href="#"
									><digi-icon af-name="accessibility-deaf" aria-hidden="true"></digi-icon
									>Lyssna</a
								></digi-link-icon
							>
						</li>
						<li>
							<digi-link-icon
								><a href="#"
									><digi-icon af-name="lattlast" aria-hidden="true"></digi-icon
									>Lättläst</a
								></digi-link-icon
							>
						</li>
						<li>
							<digi-link-icon
								><a href="#"
									><digi-icon af-name="globe" aria-hidden="true"></digi-icon>Languages</a
								></digi-link-icon
							>
						</li>
					</ul>
					<nav slot="nav">
						<ul>
							<li>
								<button>Huvudingång 1</button>
								<digi-navigation-main-menu-panel>
									<a href="#" slot="main-link">Huvudingång 1</a>
									<ul>
										<li>
											<a href="#">Ingång 1 nivå 2.1</a>
										</li>
										<li>
											<a href="#">Ingång 1 nivå 2.2</a>
											<ul>
												<li>
													<a href="#">Ingång 1 nivå 2.2 nivå 3.1</a>
												</li>
												<li>
													<a href="#">Ingång 1 nivå 2.2 nivå 3.2</a>
													<ul>
														<li>
															<a href="#">Ingång 1 nivå 3.2 nivå 4.1</a>
														</li>
														<li>
															<a href="#" aria-current="page">Ingång 1 nivå 3.2 nivå 4.2</a>
														</li>
													</ul>
												</li>
											</ul>
										</li>
										<li>
											<a href="#">Ingång 1 nivå 2.3</a>
										</li>
										<li>
											<a href="#">Ingång 1 nivå 2.4</a>
											<ul>
												<li>
													<a href="#">Ingång 1 nivå 2.4 nivå 3.1</a>
													<ul>
														<li>
															<a href="#">Ingång 1 nivå 2.4 nivå 4.1</a>
														</li>
														<li>
															<a href="#">Ingång 1 nivå 2.4 nivå 4.2</a>
														</li>
													</ul>
												</li>
												<li>
													<a href="#">Ingång 1 nivå 2.4 nivå 3.2</a>
												</li>
											</ul>
										</li>
									</ul>
								</digi-navigation-main-menu-panel>
							</li>
							<li>
								<button>Huvudingång 2</button>
								<digi-navigation-main-menu-panel>
									<a href="#" slot="main-link">Huvudingång 2</a>
									<ul>
										<li>
											<a href="#">Ingång 2 nivå 2.1</a>
										</li>
										<li>
											<a href="#">Ingång 2 nivå 2.2</a>
											<ul>
												<li>
													<a href="#">Ingång 2 nivå 2.2 nivå 3.1</a>
												</li>
												<li>
													<a href="#">Ingång 2 nivå 2.2 nivå 3.2</a>
												</li>
											</ul>
										</li>
										<li>
											<a href="#">Ingång 2 nivå 2.3</a>
										</li>
									</ul>
								</digi-navigation-main-menu-panel>
							</li>
							<li>
								<button>Huvudingång 3</button>
								<digi-navigation-main-menu-panel>
									<a href="#" slot="main-link">Huvudingång 3</a>
									<ul>
										<li>
											<a href="#">Ingång 3 nivå 2.1</a>
										</li>
										<li>
											<a href="#">Ingång 3 nivå 2.2</a>
											<ul>
												<li>
													<a href="#">Ingång 3 nivå 2.2 nivå 3.1</a>
												</li>
												<li>
													<a href="#">Ingång 3 nivå 2.2 nivå 3.2</a>
												</li>
											</ul>
										</li>
									</ul>
								</digi-navigation-main-menu-panel>
							</li>
							<li><a href="#">Huvudingång 4</a></li>
							<li>
								<button>Huvudingång 5</button>
								<digi-navigation-main-menu-panel>
									<a href="#" slot="main-link">Huvudingång 5</a>
									<ul>
										<li>
											<a href="#">Ingång 5 nivå 2.1</a>
										</li>
									</ul>
								</digi-navigation-main-menu-panel>
							</li>
						</ul>
					</nav>
				</digi-page-header>
			</header>

        <digi-notification-cookie>
          <a href="#" slot="link">Läs mer i vår cookie policy</a>
          <digi-form-checkbox
            slot="settings"
            af-label="Analytiska cookies"
            af-description="Ger oss information om hur vår webbplats används som gör att vi kan underhålla, driva och förbättra användarupplevelsen."
            af-layout="block"
            af-name="cookie"
            af-value="analytical"
          ></digi-form-checkbox>
          <digi-form-checkbox
            slot="settings"
            af-label="Ännu fler cookies"
            af-description="Ger oss information om hur vår webbplats används som gör att vi kan underhålla, driva och förbättra användarupplevelsen."
            af-layout="block"
            af-name="cookie"
            af-value="more"
          ></digi-form-checkbox>
        </digi-notification-cookie>

        <p>Endast min-height på checkbox med layout "block" fungerar endast när det är text på en rad</p>
        <div style="max-width: 300px;">
        
          <digi-form-checkbox
            af-name="myCheckbox"
            af-label="Yes, lite lagom mycket text"
            af-value="yes"
            af-layout="block"
          ></digi-form-checkbox>
          <digi-form-checkbox
            af-name="myCheckbox"
            af-label="Yes, lite lagom mycket text"
            af-value="maybe"
            af-layout="block"
          ></digi-form-checkbox>
          <digi-form-checkbox
            af-name="myCheckbox"
            af-label="Mycket längre text som inte kommer få plats på en rad och kommer därför försöka trycka isär layouten"
            af-value="no"
            af-layout="block"
          ></digi-form-checkbox>
          <digi-form-checkbox
            af-name="myCheckbox2"
            af-label="Yes, lite lagom mycket text"
            af-value="yes2"
          ></digi-form-checkbox>
          <digi-form-checkbox
            af-name="myCheckbox2"
            af-label="Mycket längre text som inte kommer få plats på en rad och kommer därför försöka trycka isär layouten"
            af-value="no2"
          ></digi-form-checkbox>
          <digi-form-fieldset>
            <digi-form-checkbox
              af-name="myCheckbox2"
              af-label="Yes, lite lagom mycket text"
              af-value="yes2"
            ></digi-form-checkbox>
            <digi-form-checkbox
              af-name="myCheckbox2"
              af-label="Mycket längre text som inte kommer få plats på en rad och kommer därför försöka trycka isär layouten"
              af-value="no2"
            ></digi-form-checkbox>
          </digi-form-fieldset>
          <digi-form-radiogroup af-name="myRadiogroupName">
            <digi-form-radiobutton
              af-label="Yes"
              af-value="yes"
            ></digi-form-radiobutton>
            <digi-form-radiobutton
              af-label="Maybe"
              af-value="maybe"
            ></digi-form-radiobutton>
            <digi-form-radiobutton
              af-label="No"
              af-value="no"
            ></digi-form-radiobutton>
          </digi-form-radiogroup>
        </div>

        <digi-typography>

          <digi-layout-block af-margin-top="true" af-margin-bottom="true">
            <digi-button
              af-variation="primary"
              af-size="large"
              af-full-width="false"
            >
              Primary
            </digi-button>
            <br />
            <br />
    
            <digi-button
              af-variation="secondary"
              af-size="large"
              af-full-width="false"
            >
              Secondary
            </digi-button>
            <br />
            <br />
    
            <digi-button
              af-variation="function"
              af-size="large"
              af-full-width="false"
            >
              <digi-icon af-name="search" aria-hidden="true" slot="icon"></digi-icon>
              Function
            </digi-button>
          </digi-layout-block>
    
        </digi-typography>

        <digi-navigation-breadcrumbs
          af-current-page="Nuvarande sida"
          af-variation="compressed"
        >
          <li><a href="/">Start</a></li>
          <li><a href="/contact-us">Undersida 1</a></li>
          <li><a href="#">Undersida 2</a></li>
        </digi-navigation-breadcrumbs>
      <footer slot="footer">Footer</footer>
		</digi-page>
	</body>
</html>
